#!/bin/sh
mkdir -p ~/RPM/SOURCES
mkdir -p ~/RPM/SPECS
for i in $(ls *.spec)
do
    v=$(cat $i | grep Version  | cut -c 9- | sed 's/ *//g')
    n=$(basename -s .spec $i)
    d=$n-$v
    if [ -d $n ]; then
        cp -fr $n $d
        tar -cvf $d.tar $d
        mv -f $d.tar ~/RPM/SOURCES/
        rm -rf $d
    fi
    cp -f $i ~/RPM/SPECS/
    rpm -ba ~/RPM/SPECS/$i
done
